Replace tags
Replace the entire tag set for a client. Tags reference predefined tag templates (GA4, Hotjar, custom scripts, etc.) and can include per-client parameters and trigger rules. After updating, the API rebuilds the client's remote configuration in KV.
curl -X PUT "https://api.mythic-analytics.com/api/v1/clients/example_string/tags" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"tags": [
{
"tag_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"enabled": true,
"params": {
"measurement_id": "G-XXXXXXXXXX"
},
"trigger_rules": {
"url_contains": "/checkout"
}
}
]
}'
import requests
import json
url = "https://api.mythic-analytics.com/api/v1/clients/example_string/tags"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"tags": [
{
"tag_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"enabled": true,
"params": {
"measurement_id": "G-XXXXXXXXXX"
},
"trigger_rules": {
"url_contains": "/checkout"
}
}
]
}
response = requests.put(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.mythic-analytics.com/api/v1/clients/example_string/tags", {
method: "PUT",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"tags": [
{
"tag_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"enabled": true,
"params": {
"measurement_id": "G-XXXXXXXXXX"
},
"trigger_rules": {
"url_contains": "/checkout"
}
}
]
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"tags": [
{
"tag_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"enabled": true,
"params": {
"measurement_id": "G-XXXXXXXXXX"
},
"trigger_rules": {
"url_contains": "/checkout"
}
}
]
}`)
req, err := http.NewRequest("PUT", "https://api.mythic-analytics.com/api/v1/clients/example_string/tags", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.mythic-analytics.com/api/v1/clients/example_string/tags')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Put.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"tags": [
{
"tag_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"enabled": true,
"params": {
"measurement_id": "G-XXXXXXXXXX"
},
"trigger_rules": {
"url_contains": "/checkout"
}
}
]
}'
response = http.request(request)
puts response.body
{
"success": true,
"data": [
{
"tag_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"enabled": true,
"params": {
"measurement_id": "G-XXXXXXXXXX"
},
"trigger_rules": {
"url_contains": "/checkout"
}
}
]
}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
/clients/{id}/tagsAdmin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
Bearer YOUR_ADMIN_KEYAlternative to the Authorization header for server-to-server scenarios.
Client identifier.
The media type of the request body
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
API Key for authentication. Alternative to the Authorization header for server-to-server scenarios.
Path Parameters
Client identifier.
Body
Responses
UUID of the predefined tag template to assign.
Whether the tag is active.
Per-client parameters to pass to the tag template (e.g., measurement IDs).
Conditional rules controlling when the tag fires. Null means always fires.
Last updated Feb 26, 2026
Built with Documentation.AI